<!--<p>material-styling works!</p>-->

<button mat-button>Mat Button</button>
<button mat-raised-button>Raised Button</button>



<h1>Typography Examples</h1>
<div class="mat-display-1">This is a display 1</div>
<div class="mat-display-2">This is a display 2</div>
<div class="mat-display-3">This is a display 3</div>
<div class="mat-display-4">This is a display 4</div>



<h1>Body and Text Caption</h1>
<div class="mat-headline">This is a Headline</div>
<div class="mat-title">This is a Title</div>
<div class="mat-subheading-1">This is a Subheading</div>
<div class="mat-caption">This is a Caption</div>

<!--creating the color theme button-->
<h1>Color themed Button</h1>
<div>
 <button color="primary" mat-button>This is a Primary Button</button>
  <button color="accent" mat-button>This is a Accent Button</button>
  <button color="warn" mat-button>This is a Warn Button</button>
</div>

<!--creating a raised button-->
<div>
  <button color="primary" mat-flat-button>This is a Primary Button</button>
  <button color="accent" mat-raised-button>This is a Accent Button</button>
  <button color="warn" mat-button>This is a Warn Button</button>
</div>




<!--creating a form-->
<mat-form-field floatLabel="always" color="accent">
  <mat-label>Name</mat-label>
  <input matInput>
  <mat-hint>Minimum of 5 characters</mat-hint>
</mat-form-field>



<mat-card>Simple card</mat-card>
<mat-card class="example-card">
  <mat-card-header>
    <div mat-card-avatar class="example-header-image"></div>
    <mat-card-title>Shiba Inu</mat-card-title>
    <mat-card-subtitle>Dog Breed</mat-card-subtitle>
  </mat-card-header>
  <img mat-card-image src="https://material.angular.io/assets/img/examples/shiba2.jpg" alt="Photo of a Shiba Inu">
  <mat-card-content>
    <p>
      The Shiba Inu is the smallest of the six original and distinct spitz breeds of dog from Japan.
      A small, agile dog that copes very well with mountainous terrain, the Shiba Inu was originally
      bred for hunting.
    </p>
  </mat-card-content>
  <mat-card-actions>
    <button mat-button>LIKE</button>
    <button mat-button>SHARE</button>
  </mat-card-actions>
</mat-card>








<!--<p>-->
<!--  Default appearance:-->
<!--  <mat-button-toggle-group name="fontStyle" aria-label="Font Style">-->
<!--    <mat-button-toggle value="bold">Bold</mat-button-toggle>-->
<!--    <mat-button-toggle value="italic">Italic</mat-button-toggle>-->
<!--    <mat-button-toggle value="underline">Underline</mat-button-toggle>-->
<!--  </mat-button-toggle-group>-->
<!--</p>-->

<!--<p>-->
<!--  Legacy appearance:-->
<!--  <mat-button-toggle-group appearance="legacy" name="fontStyle" aria-label="Font Style">-->
<!--    <mat-button-toggle value="bold">Bold</mat-button-toggle>-->
<!--    <mat-button-toggle value="italic">Italic</mat-button-toggle>-->
<!--    <mat-button-toggle value="underline">Underline</mat-button-toggle>-->
<!--  </mat-button-toggle-group>-->
<!--</p>-->
